GLIBC_2.30

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
Post Reply
rych
Samurai
Samurai
Posts: 165
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

GLIBC_2.30

Post#1 by rych » 29 Jan 2020, 07:55

Apparently I need the new GLIBC_2.30 on my Porteus 4, see the error below when I try to run Waterfox Classic. I think the system glic is 2.27. And I hope I don't have to replace it as it could break other things. Or is it okay to replace? Can I put it next to the waterfox binary so that it picks it up over the system glibc?

So, please advise and/or link me to a GLIBC_2.30 module for Porteus 4 if possible. Thanks!

Code: Select all

root@porteus:/mnt/sda2/portable/Waterfox/waterfox-classic# ./waterfox
XPCOMGlueLoad error for file /mnt/sda2/portable/Waterfox/waterfox-classic/libnspr4.so:
/lib64/libc.so.6: version `GLIBC_2.30' not found (required by /mnt/sda2/portable/Waterfox/waterfox-classic/libnspr4.so)
Couldn't load XPCOM.

Code: Select all

ldd --version
ldd (GNU libc) 2.27

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2473
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

GLIBC_2.30

Post#2 by ncmprhnsbl » 29 Jan 2020, 09:50

could try this appimage maybe:
https://download.opensuse.org/repositor ... mirrorlist

as you say, installing glibc-2.30 might be problematic.. there is one way to find out :)
glibc-2.30
https://mirrors.slackware.com/slackware ... 6_64-1.txz
and maybe glibc-solibs-2.30 (or not)
https://mirrors.slackware.com/slackware ... 6_64-1.txz
txz2xzm them , activate and see what happens..
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Kulle
Shogun
Shogun
Posts: 211
Joined: 28 Jan 2017, 10:39
Distribution: v4.0 64bit Xfce
Location: Berlin

GLIBC_2.30

Post#3 by Kulle » 29 Jan 2020, 15:30

Hi rych,
this version (waterfox-classic-2020.01-11.1) works for me:

http://opensuse.mirror.liquidtelecom.co ... 4.AppImage

GLIBC_2.30 is not required.

rych
Samurai
Samurai
Posts: 165
Joined: 04 Jan 2014, 04:27
Distribution: Porteus 4.0 64 LXDE
Location: NZ

GLIBC_2.30

Post#4 by rych » 01 Feb 2020, 04:49

ncmprhnsbl, thanks, I used your link and txz2xzm glibc-2.30. Activated the module. Waterfox runs well and no other programs have broken so far, although I suspect I essentially updated (some parts of) the system GLIBC. If something fails I can always deactivate the glibc-2.30-x86_64-1.xzm and try some of the AppImage binaries (Thank you Kulle, also). But it'd be nice to have this simple glibc module "patch" as it should enable me to run some other modern programs I couldn't before.

By the way, do you happen to know which Glibc version does the new Porteus 5.0 run on?

User avatar
ncmprhnsbl
DEV Team
DEV Team
Posts: 2473
Joined: 20 Mar 2012, 03:42
Distribution: 5.0rc1-64bit all-DE+more
Location: australia
Contact:

GLIBC_2.30

Post#5 by ncmprhnsbl » 01 Feb 2020, 06:45

rych wrote:
01 Feb 2020, 04:49
By the way, do you happen to know which Glibc version does the new Porteus 5.0 run on?
if you mean RC1, then i think is 2.29
the next release will be 2.30 (or newer, depending on upstream)
Forum Rules : https://forum.porteus.org/viewtopic.php?f=35&t=44

Post Reply